<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Sanitiza o valor do nonce, se presente.
$nonce_input = isset( $_GET['_wpnonce'] ) ? sanitize_text_field( wp_unslash( $_GET['_wpnonce'] ) ) : '';

if ( $nonce_input && wp_verify_nonce( $nonce_input, 'lgpd_consent_cyfer_admin' ) ) {
    $nonce = $nonce_input;
} else {
    $nonce = wp_create_nonce( 'lgpd_consent_cyfer_admin' );
}

$tab = isset( $_GET['tab'] ) ? sanitize_text_field( wp_unslash( $_GET['tab'] ) ) : 'settings';
?>
<div class="wrap">
    <h1>LGPD Consent Cyfer</h1>
    <h2 class="nav-tab-wrapper">
        <a href="<?php echo esc_url( add_query_arg( array(
            'page'    => 'lgpd-consent-cyfer',
            'tab'     => 'settings',
            '_wpnonce'=> $nonce
        ), admin_url( 'admin.php' ) ) ); ?>" class="nav-tab <?php echo ( 'settings' === $tab ) ? 'nav-tab-active' : ''; ?>">Configurações</a>
        <a href="<?php echo esc_url( add_query_arg( array(
            'page'    => 'lgpd-consent-cyfer',
            'tab'     => 'logs',
            '_wpnonce'=> $nonce
        ), admin_url( 'admin.php' ) ) ); ?>" class="nav-tab <?php echo ( 'logs' === $tab ) ? 'nav-tab-active' : ''; ?>">Logs</a>
        <a href="<?php echo esc_url( add_query_arg( array(
            'page'    => 'lgpd-consent-cyfer',
            'tab'     => 'help',
            '_wpnonce'=> $nonce
        ), admin_url( 'admin.php' ) ) ); ?>" class="nav-tab <?php echo ( 'help' === $tab ) ? 'nav-tab-active' : ''; ?>">Ajuda</a>
        <a href="<?php echo esc_url( add_query_arg( array(
            'page'    => 'lgpd-consent-cyfer',
            'tab'     => 'donation',
            '_wpnonce'=> $nonce
        ), admin_url( 'admin.php' ) ) ); ?>" class="nav-tab <?php echo ( 'donation' === $tab ) ? 'nav-tab-active' : ''; ?>">Buy Me A Coffee</a>
    </h2>

    <?php
    switch ( $tab ) {
        case 'logs':
            include LGPD_CONSENT_CYFER_PLUGIN_DIR . 'admin/partials/logs.php';
            break;
        case 'help':
            include LGPD_CONSENT_CYFER_PLUGIN_DIR . 'admin/partials/help.php';
            break;
        case 'donation':
            include LGPD_CONSENT_CYFER_PLUGIN_DIR . 'admin/partials/donation.php';
            break;
        case 'settings':
        default:
            include LGPD_CONSENT_CYFER_PLUGIN_DIR . 'admin/partials/settings.php';
            break;
    }
    ?>
</div>