<?php
/**
 * Plugin Name: LGPD Consent Cyfer
 * Description: Gerencia o consentimento LGPD no front-end, registrando os dados e oferecendo painel de configurações e logs.
 * Version: 2.0.1
 * Author: Cyfer Development
 * Author URI: https://www.cyfer.com.br/
 * Contributors: cyferweb
 * Requires at least: 5.0
 * Tested up to: 6.7
 * Stable tag: 2.0.1
 * License: GPLv2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: lgpd-consent
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

define( 'LGPD_CONSENT_CYFER_VERSION', '2.0.1' );
define( 'LGPD_CONSENT_CYFER_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'LGPD_CONSENT_CYFER_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'LGPD_CONSENT_CYFER_PLUGIN_FILE', __FILE__ );

require_once LGPD_CONSENT_CYFER_PLUGIN_DIR . 'includes/class-lgpd-consent-cyfer.php';
if ( is_admin() ) {
    require_once LGPD_CONSENT_CYFER_PLUGIN_DIR . 'admin/class-lgpd-consent-cyfer-admin.php';
}
require_once LGPD_CONSENT_CYFER_PLUGIN_DIR . 'public/class-lgpd-consent-cyfer-public.php';
require_once LGPD_CONSENT_CYFER_PLUGIN_DIR . 'includes/class-lgpd-consent-cyfer-activator.php';

function lgpd_consent_cyfer_run() {
    $plugin = new LGPD_Consent_Cyfer();
    $plugin->run();
}
lgpd_consent_cyfer_run();

register_activation_hook( LGPD_CONSENT_CYFER_PLUGIN_FILE, array( 'LGPD_Consent_Cyfer_Activator', 'activate' ) );