<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$options = get_option( 'lgpd_consent_cyfer_options' );
$message = isset( $options['message'] ) ? $options['message'] : 'Utilizamos cookies para melhorar sua experiência. Ao aceitar, você concorda com nossa política de privacidade.';
$privacy_link = isset( $options['privacy_link'] ) ? $options['privacy_link'] : home_url( '/politica-de-privacidade/' );
$bar_bg_color = isset( $options['bar_bg_color'] ) ? $options['bar_bg_color'] : '#000000';
$text_color = isset( $options['text_color'] ) ? $options['text_color'] : '#ffffff';
$font_size = isset( $options['font_size'] ) ? $options['font_size'] : '14';
$button_color = isset( $options['button_color'] ) ? $options['button_color'] : '#ff0000';
$button_text_color = isset( $options['button_text_color'] ) ? $options['button_text_color'] : '#ffffff';
$button_padding = isset( $options['button_padding'] ) ? $options['button_padding'] : '8px 20px';
$mobile_mode = isset( $options['mobile_display_mode'] ) ? $options['mobile_display_mode'] : 'bar';
$mobile_icon_position = isset( $options['mobile_icon_position'] ) ? $options['mobile_icon_position'] : 'right';
$mobile_icon_image = ( isset( $options['mobile_icon_image'] ) && !empty( $options['mobile_icon_image'] ) )
    ? $options['mobile_icon_image']
    : LGPD_CONSENT_CYFER_PLUGIN_URL . 'public/images/cookie-icon.png';
?>

<?php if ( wp_is_mobile() && $mobile_mode == 'icon' ): ?>
    <div id="lgpd-consent-icon" style="position: fixed; bottom: 20px; <?php echo ( $mobile_icon_position == 'left' ) ? 'left: 20px;' : 'right: 20px;'; ?> cursor: pointer; z-index: 9999;">
        <?php 
        if ( is_numeric( $mobile_icon_image ) ) {
            $attachment_id = intval( $mobile_icon_image );
        } else {
            $attachment_id = attachment_url_to_postid( $mobile_icon_image );
        }
        if ( $attachment_id ) {
            echo wp_get_attachment_image( $attachment_id, 'full', false, array( 'class' => 'img-responsive', 'style' => 'width:68px;height:auto;' ) );
        } else {
            echo wp_get_attachment_image( 
                $mobile_icon_image, 
                'full', 
                false, 
                array( 
                    'class' => 'img-responsive', 
                    'style' => 'width:68px;height:auto;', 
                    'alt'   => esc_attr( __( 'Ícone de Cookies', 'lgpd-consent' ) )
                )
            );
        }
        ?>
    </div>
    
    <!-- Barra de consentimento para mobile, inicialmente oculta -->
    <div id="lgpd-consent-bar-mobile" style="display: none; background-color: <?php echo esc_attr( $bar_bg_color ); ?>; color: <?php echo esc_attr( $text_color ); ?>; font-size: <?php echo esc_attr( $font_size ); ?>px; position: fixed; bottom: 0; left: 0; width: 100%; padding: 15px; text-align: center; z-index: 9999;">
        <span>
            <?php echo esc_html( $message ); ?> 
            <a href="<?php echo esc_url( $privacy_link ); ?>" style="color: <?php echo esc_attr( $text_color ); ?>;">Saiba mais</a>
        </span>
        <button class="lgpd-consent-btn" data-consent="accept" style="background-color: <?php echo esc_attr( $button_color ); ?>; color: <?php echo esc_attr( $button_text_color ); ?>; padding: <?php echo esc_attr( $button_padding ); ?>;">Aceitar</button>
        <button class="lgpd-consent-btn" data-consent="refuse" style="background-color: <?php echo esc_attr( $button_color ); ?>; color: <?php echo esc_attr( $button_text_color ); ?>; padding: <?php echo esc_attr( $button_padding ); ?>;">Recusar</button>
    </div>
<?php else: ?>
    <!-- Exibe a barra padrão -->
    <div id="lgpd-consent-bar" style="background-color: <?php echo esc_attr( $bar_bg_color ); ?>; color: <?php echo esc_attr( $text_color ); ?>; font-size: <?php echo esc_attr( $font_size ); ?>px; position: fixed; bottom: 0; left: 0; width: 100%; padding: 15px; text-align: center; z-index: 9999;">
        <span>
            <?php echo esc_html( $message ); ?> 
            <a href="<?php echo esc_url( $privacy_link ); ?>" style="color: <?php echo esc_attr( $text_color ); ?>;">Saiba mais</a>
        </span>
        <button class="lgpd-consent-btn" data-consent="accept" style="background-color: <?php echo esc_attr( $button_color ); ?>; color: <?php echo esc_attr( $button_text_color ); ?>; padding: <?php echo esc_attr( $button_padding ); ?>;">Aceitar</button>
        <button class="lgpd-consent-btn" data-consent="refuse" style="background-color: <?php echo esc_attr( $button_color ); ?>; color: <?php echo esc_attr( $button_text_color ); ?>; padding: <?php echo esc_attr( $button_padding ); ?>;">Recusar</button>
    </div>
<?php endif; ?>